SuSE 10 Security Update : cpio (ZYPP Patch Number 6948)

Medium Nessus Plugin ID 49840


The remote SuSE 10 host is missing a security-related patch.


This update fixes a heap-based buffer overflow flaw that can happen while expanding specially crafted archive files. (CVE-2010-0624)

It also contains changes for :

fixed Dat160 Tape Drive density information (bnc#415166) fixed cpio issues with file sizes >= 2^32 fixed handling eof and eod marks.


Apply ZYPP patch number 6948.

See Also

Plugin Details

Severity: Medium

ID: 49840

File Name: suse_cpio-6948.nasl

Version: $Revision: 1.6 $

Type: local

Agent: unix

Published: 2010/10/11

Modified: 2014/08/16

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: cpe:/o:suse:suse_linux

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Patch Publication Date: 2010/03/28

Reference Information

CVE: CVE-2010-0624